package com.ff.base.enums;

import lombok.Getter;

/**
 * 链接位置
 *
 * @author shi
 * @date 2025/01/11
 */
@Getter
public enum LinkPosition {
    HALL_PAGE(1, "直达大厅页链接"),
    REGISTER_PAGE(2, "直达注册页链接"),
    ACTIVITY_PAGE(3, "直达活动页链接"),
    TRIAL_PAGE(4, "直达试玩页链接"),
    DOWNLOAD_SITE(5, "直达下载站链接"),
    GAME_TRIAL(0, "游戏试玩链接");

    private final int value;
    private final String description;

    LinkPosition(int value, String description) {
        this.value = value;
        this.description = description;
    }
}